フォルダーを更新
curl --request POST \
--url https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"inputs": [
{}
]
}
'import requests
url = "https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/update"
payload = { "inputs": [{}] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({inputs: [{}]})
};
fetch('https://api.hubapi.com/cms/pages/2026-03/landing-pages/folders/batch/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"category": 123,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"parentFolderId": 123,
"updated": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}フォルダー
POST /cms/pages/2026-03/landing-pages/folders/batch/update
リクエスト本文で指定されているようにランディングページフォルダーをバッチ更新します。
POST
/
cms
/
pages
/
2026-03
/
landing-pages
/
folders
/
batch
/
update
フォルダーを更新
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
クエリパラメータ
アーカイブ済みの結果のみを返すかどうか。
ボディ
*/*
入力するJSONノード。
レスポンス
successful operation
バッチオペレーションの完了時刻。
バッチオペレーションの結果。
Show child attributes
Show child attributes
バッチオペレーションの開始時刻。
バッチオペレーションのステータス。
利用可能なオプション:
CANCELED, COMPLETE, PENDING, PROCESSING バッチオペレーションに関連付けられたリンク。
Show child attributes
Show child attributes
バッチオペレーションのリクエスト時刻。
最終更新日 2026年4月10日
⌘I